#include<bits/stdc++.h>
using namespace std;
const long long mod=1e9+7;
long long t,n,v,m,ans;
long long c[100001],d[100001];
mt19937 red(time(0));
__int128 mi(__int128 x,__int128 y){
	if(y==0){
		return (__int128)1;
	}
	if(y==1){
		return (__int128)x%mod;
	}
	__int128 z=1,k=1;
	while(k<y){
		k*=2;
		z=z*x%mod;
	}
	return z*z%(__int128)mod*mi(x,y-k);
}
int main(){
//	freopen("assign.in","r",stdin);
//	freopen("assign.out","w",stdout);
	scanf("%lld",&t);
	while(t--){
		printf("%lld\n",(long long)red()%mod);
	}
	return 0;
}
